import { defineConfig } from "tsup";

export default defineConfig({
  entry: ["src/index.ts"],
  outDir: "dist",
  splitting: false,
  sourcemap: false,
  clean: true,
  dts: true,
  treeshake: true,
  platform: "node",
  define: {
    "process.env.BABEL_TAILWIND_BUILD": "true",
  },
  banner: {
    js: "/* eslint-disable */",
  },
});
